hostguard.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | _VAMP_IN_HOSTSDK 1
#define | VAMP_SDK_VERSION "2.10"
#define | VAMP_SDK_MAJOR_VERSION 2
#define | VAMP_SDK_MINOR_VERSION 10
#define | _VAMP_SDK_HOSTSPACE_BEGIN(h)
#define | _VAMP_SDK_HOSTSPACE_END(h)
#define | _VAMP_SDK_PLUGSPACE_BEGIN(h)
#define | _VAMP_SDK_PLUGSPACE_END(h)

## Macro Definition Documentation

## _VAMP_IN_HOSTSDK

#define _VAMP_IN_HOSTSDK 1

Definition at line 44 of file hostguard.h.

## VAMP_SDK_VERSION

#define VAMP_SDK_VERSION "2.10"

Definition at line 46 of file hostguard.h.

## VAMP_SDK_MAJOR_VERSION

#define VAMP_SDK_MAJOR_VERSION 2

Definition at line 47 of file hostguard.h.

## VAMP_SDK_MINOR_VERSION

#define VAMP_SDK_MINOR_VERSION 10

Definition at line 48 of file hostguard.h.

## _VAMP_SDK_HOSTSPACE_BEGIN

#define _VAMP_SDK_HOSTSPACE_BEGIN | ( |  | h | ) |

Value:
namespace _VampHost {

Definition at line 56 of file hostguard.h.

## _VAMP_SDK_HOSTSPACE_END

#define _VAMP_SDK_HOSTSPACE_END | ( |  | h | ) |

Value:
} \
using namespace _VampHost;

Definition at line 59 of file hostguard.h.

## _VAMP_SDK_PLUGSPACE_BEGIN

#define _VAMP_SDK_PLUGSPACE_BEGIN | ( |  | h | ) |

Value:
namespace _VampHost {

Definition at line 62 of file hostguard.h.

## _VAMP_SDK_PLUGSPACE_END

#define _VAMP_SDK_PLUGSPACE_END | ( |  | h | ) |

Value:
} \
using namespace _VampHost;

Definition at line 65 of file hostguard.h.